#ifndef BLUECORE_SCENEGRAPH_H
#define BLUECORE_SCENEGRAPH_H

#include "SceneNode.h"

namespace BlueCore
{

class SceneGraph : public Referenced
{
	ref_ptr<SceneNode> _RootNode;
	ref_ptr<Camera> _Camera;
	
public:
	SceneGraph();
	~SceneGraph();
	
	SceneNode* getRootNode();
	
	void setCamera(Camera *camera);
	Camera* getCamera() const;
	
	void update(Scalar time);
    void queue (RenderQueue *queue);

};

}

#endif /*SCENEGRAPH_H_*/
